[Gnucash-changes] r13506 - gnucash/trunk - Mods for ebuild to be used as an SVN ebuild.

Joshua Sled jsled at cvs.gnucash.org
Mon Mar 6 19:39:29 EST 2006


Author: jsled
Date: 2006-03-06 19:39:29 -0500 (Mon, 06 Mar 2006)
New Revision: 13506
Trac: http://svn.gnucash.org/trac/changeset/13506

Modified:
   gnucash/trunk/ChangeLog
   gnucash/trunk/packaging/gnucash-1.9.x.ebuild
Log:
Mods for ebuild to be used as an SVN ebuild.


Modified: gnucash/trunk/ChangeLog
===================================================================
--- gnucash/trunk/ChangeLog	2006-03-07 00:27:38 UTC (rev 13505)
+++ gnucash/trunk/ChangeLog	2006-03-07 00:39:29 UTC (rev 13506)
@@ -1,3 +1,8 @@
+2006-03-06  Joshua Sled  <jsled at asynchronous.org>
+
+	* packaging/gnucash-1.9.x.ebuild (SRC_URI): Mods for ebuild to be
+	used as an SVN ebuild.
+
 2006-03-06  Andreas Köhler  <andi5.py at gmx.net>
 
 	* src/gnome-utils/gnc-html-graph-gog.c: Save the go graph in the

Modified: gnucash/trunk/packaging/gnucash-1.9.x.ebuild
===================================================================
--- gnucash/trunk/packaging/gnucash-1.9.x.ebuild	2006-03-07 00:27:38 UTC (rev 13505)
+++ gnucash/trunk/packaging/gnucash-1.9.x.ebuild	2006-03-07 00:39:29 UTC (rev 13506)
@@ -5,13 +5,22 @@
 # This script should work fine for the whole 1.9.x (and hopefully 2.0.x)
 # releases with a simple rename. See
 # http://bugs.gentoo.org/show_bug.cgi?id=122337 for discussion and history
-# about this file.  -- jsled
+# about this file.  
 
+# As well, it'll work for as an SVN ebuild; drop it into
+# ${PORTAGE_OVERLAY}/app-office/gnucash-svn/gnucash-svn-20060306.ebuild.
+# It'll install into /opt/gnucash-svn-20060306/.
+
+# -- jsled-gentoo at asynchronous.org
+
 inherit eutils gnome2 
 
 DESCRIPTION="A personal finance manager (unstable version)."
 HOMEPAGE="http://www.gnucash.org/"
-SRC_URI="mirror://sourceforge/gnucash/${P}.tar.gz"
+SRC_URI=""
+if [ ${PN/-svn/XXX} == ${PN} ]; then
+	SRC_URI="mirror://sourceforge/gnucash/${P}.tar.gz"
+fi
 LICENSE="GPL-2"
 SLOT="1"
 KEYWORDS="~amd64 ~x86"
@@ -63,6 +72,16 @@
 	built_with_use goffice gnome || die "goffice must be built with gnome"
 }
 
+src_unpack() {
+	if [ ${PN/-svn/XXX} != ${PN} ]; then
+		svn co http://svn.gnucash.org/repo/gnucash/trunk ${P}
+		cd ${S}
+		./autogen.sh || die "Cannot autogen."
+	else
+		unpack ${A}
+	fi
+}
+
 src_compile() {
 	EXTRA_ECONF="--enable-error-on-warning --enable-compile-warnings"
 
@@ -100,6 +119,7 @@
 		done
 		for user in `ps axuwwf | grep "gconfd-2" |grep -v "grep" | awk '{ print $1 }' | uniq`; do
 			einfo "shutting down gconfd-2 for user ${user} to sync gnucash schemas"
+			echo su ${user} -c "${ROOT}/usr/bin/gconftool-2 --shutdown"
 			${ROOT}/bin/su - ${user} -c "${ROOT}usr/bin/gconftool-2 --shutdown"
 		done
 	fi



More information about the gnucash-changes mailing list